weixin_39717692
weixin_39717692
2020-12-04 12:43

Compilation Error

Hello,

Getting compilation error while installing VHostScan

pandas/lib.c:4:10: fatal error: Python.h: No such file or directory #include "Python.h" ^~~~~~~~~~ compilation terminated. error: Setup script exited with error: command 'i686-linux-gnu-gcc' failed with exit status 1

该提问来源于开源项目:codingo/VHostScan

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

4条回答

  • weixin_39747975 weixin_39747975 5月前

    Same here

    点赞 评论 复制链接分享
  • weixin_39717692 weixin_39717692 5月前

    Hello , now getting this issue : Traceback (most recent call last): File "VHostScan/VHostScan.py", line 8, in <module> from .lib.core.virtual_host_scanner import virtual_host_scanner ModuleNotFoundError: No module named '__main__.lib'; '__main__' is not a package

    点赞 评论 复制链接分享
  • weixin_39847034 weixin_39847034 5月前

    the second issue you have is a separate one where you haven't run setup.py and have launched the application directly.

    The first issue steps from not having the required libraries installed. If you run this prior to setup it will resolve the issue:

    
    sudo apt-get install python3 python-dev python3-dev \
         build-essential libssl-dev libffi-dev \
         libxml2-dev libxslt1-dev zlib1g-dev \
         python-pip
    
    点赞 评论 复制链接分享
  • weixin_39717692 weixin_39717692 5月前

    still getting the same even after install

    Traceback (most recent call last): File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 581, in _build_master ws.require(__requires__) File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 898, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3/dist-packages/pkg_resources/__init__.py", line 789, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (urllib3 1.24.1 (/usr/local/lib/python3.7/dist-packages), Requirement.parse('urllib3==1.20'), {'VHostScan'})

    During handling of the above exception, another exception occurred:

    `Traceback (most recent call last): File "/usr/local/bin/VHostScan", line 6, in from pkg_resources import load_entry_point File "/usr/lib/python3/dist-packages/pkg_resources/init.py", line 3126, in

    File "/usr/lib/python3/dist-packages/pkg_resources/init.py", line 3110, in _call_aside f(args, *kwargs) File "/usr/lib/python3/dist-packages/pkg_resources/init.py", line 3139, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3/dist-packages/pkg_resources/init.py", line 583, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3/dist-packages/pkg_resources/init.py", line 596, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3/dist-packages/pkg_resources/init.py", line 784, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'pandas==0.19.2' distribution was not found and is required by VHostScan`

    点赞 评论 复制链接分享

相关推荐